--- title: "Bulk Operations: Upload-Link" slug: "bulk-operations-upload-link" updated: 2025-10-28T13:33:33Z published: 2025-10-28T13:33:33Z canonical: "docs.unqork.io/bulk-operations-upload-link" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.unqork.io/llms.txt > Use this file to discover all available pages before exploring further. # Bulk Operations: Upload-Link > [!WARNING] > All BDO endpoints are only accessible to Creator and Express Administrator users in Unqork. The **Bulk Operations (BO) Upload-Link** API endpoint generates a URL address for uploading source files with data. For example, you can generate an upload link to upload submission data files into the Unqork Cloud. Then, import them into a Records Collection using the [BDO Import endpoint](/v1/docs/bulk-data-operations-import). You can generate a upload-link using curl, Postman, or any other service that supports a POST request. After generating an upload link, Creators can create an POST request to upload the submission data file using the upload link. > Discover how to set up API calls using a third-party program, view our [Testing API Endpoints Using Third-Party Applications](/v1/docs/testing-api-endpoints-using-third-party-applications) article. > [!TIP] > Test the BO Upload-Link endpoint using the Unqork Services page. To access the Unqork Services page, enter the following address into your browser: `https://{environment}.unqork.io/fbu/uapi/docs/documentation/#/Bulk%20Operations/createUploadLink`. Replace `{environment}` with the name of your Unqork environment. ## Creating an Upload-Link Using Bulk Operations The BO Upload-Link API uses the HTTP POST method and the following endpoint:` https://{environment}.unqork.io/fbu/uapi/bulkOperations/upload-link`. Replace `{environment}` with the name of your Unqork environment. Unlike the [BO Download-Link Endpoint](/v1/docs/bulk-operations-download-link), no request body is required to generate an upload link. ### Example Response In the BO Upload-Link response below, the uploadLink field contains the partial address of the exported file for upload: ```json {    "uploadLink": "/files/67362e899daeec21a884b60b" } ``` ## Uploading a File Using Postman While multiple services can upload a file to the Unqork Cloud, the example below is for uploading a file using the Postman API service. > [!WARNING] > Files larger than 100mb are not supported. In Postman, after generating the `uploadLink `value: 1. Create a POST request using the following endpoint: `https://{{environment}}/api{{createFileUploadLink}}`. Replace `{environment}` with the name of your Unqork environment, and `{{createFileUploadLink}} `with the uploadLink value. For example, `https://training.unqork.io/api/files/6734ce93abs9a01036b3f07c`. > [!NOTE] > If you are composing the URL programmatically, the link includes the forward slash. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Postman_UploadRequest_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-10-29T03%3A09%3A05Z&se=2026-10-29T04%3A09%3A05Z&sr=c&sp=r&sig=eWcYWvfsYJJP85YGeMKb8nci81NUr91RMs3I%2FEZhk54%3D) 2. In the request's Headers, add or set the **Content-Type** field to `multipart/form-data`. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Postman_Upload_Headers_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-10-29T03%3A09%3A05Z&se=2026-10-29T04%3A09%3A05Z&sr=c&sp=r&sig=eWcYWvfsYJJP85YGeMKb8nci81NUr91RMs3I%2FEZhk54%3D) 3. In the Body tab, set the data type to **form-data**. The key-value table displays. 4. In the Key column, enter `file`. 5. In the Key column, set the **Text** drop-down to **File**. 6. In the Value column, click the **Select Files** cell. A drop-down displays. 7. Click **+ New file from local machine**. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Postman_Upload_formData_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-10-29T03%3A09%3A05Z&se=2026-10-29T04%3A09%3A05Z&sr=c&sp=r&sig=eWcYWvfsYJJP85YGeMKb8nci81NUr91RMs3I%2FEZhk54%3D) 8. Navigate to and select the submission data file. 9. Click **Send**. The response body returns the Unqork Cloud fileKey used in the BDO Import endpoint. [![A static image displaying the Postman Response Body. The fileKey field displays the Unqork Cloud path used in the BDO Import endpoint.](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Postman%20UploadResponse.jpg?sv=2026-02-06&spr=https&st=2026-10-29T03%3A09%3A05Z&se=2026-10-29T04%3A09%3A05Z&sr=c&sp=r&sig=eWcYWvfsYJJP85YGeMKb8nci81NUr91RMs3I%2FEZhk54%3D)](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Postman%20UploadResponse.jpg?sv=2026-02-06&spr=https&st=2026-10-29T03%3A09%3A05Z&se=2026-10-29T04%3A09%3A05Z&sr=c&sp=r&sig=eWcYWvfsYJJP85YGeMKb8nci81NUr91RMs3I%2FEZhk54%3D) ## Example Response After uploading a file, the `fileKey` field displays the Unqork Cloud file path used in the [BDO Import](/v1/docs/bulk-data-operations-import) endpoint's `fileLocation` field: ```json {    "fileKey": "unqorkResource/36bac174-1a20-4072-b976-eeeaea879343.csv" } ``` > Learn how to import an uploaded file using our [Bulk Data Operations: Import](/v1/docs/bulk-data-operations-import) article. Also known as Unqork Users, or Designer Users; is anyone who is inside the Unqork platform. Includes the Short Answer component, Long Answer component, Select Boxes, Radio component, Dropdown, Number component and Single Checkbox. APIs (application programming interfaces) are a set of protocols and definitions developers use to build and integrate application software. APIs act as the connective tissue between products and services. Also known as Record Data. Submission data consists of information saved by Unqork components. View submission data by using the angular command, or in Record Collections. The HTTP POST method is used to send data to a server to create or update a resource, typically including the data in the body of the request. HTTP (Hypertext Transfer Protocol) is an application-layer protocol used to transmit hypermedia documents like HTML.